net.dontdrinkandroot.utils.collections

## Class AggregationResult

- java.lang.Object
- - net.dontdrinkandroot.utils.collections.AggregationResult

    public class AggregationResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AggregationResult()`

### Method Summary

Methods
`double` `getAvg()`
`double` `getMax()`
`double` `getMean()`
`double` `getMin()`
`int` `getSize()`
`double` `getSum()`
`void` `setAvg(double avg)`
`void` `setMax(double max)`
`void` `setMean(double mean)`
`void` `setMin(double min)`
`void` `setSize(int size)`
`void` `setSum(double sum)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AggregationResult

    public AggregationResult()

### Method Detail

#### getSum

    public final double getSum()

#### setSum

    public final void setSum(double sum)

#### getMin

    public final double getMin()

#### setMin

    public final void setMin(double min)

#### getMax

    public final double getMax()

#### setMax

    public final void setMax(double max)

#### getAvg

    public final double getAvg()

#### setAvg

    public final void setAvg(double avg)

#### getMean

    public final double getMean()

#### setMean

    public final void setMean(double mean)

#### setSize

    public final void setSize(int size)

#### getSize

    public final int getSize()

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`